let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteEventDataApi = async (body: any) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/DeleteEvent`,
      {
        method: "PATCH",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify(body),
      }
    );
    
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }


    if (!response.ok) {
      console.error("Failed to delete event data");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to delete event data API");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
